<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/">
    <w:wordDocument xmlns:w="http://schemas.microsoft.com/office/word/2003/wordml">
      <w:body>
        <w:p>
          <w:r>
            <w:t>

              <xsl:value-of select="logica.reportes.ReporteAsistenciaYNotas/estudiante/nombre"/>:<xsl:value-of select="logica.reportes.ReporteAsistenciaYNotas/estudiante/rut"/>
            </w:t>
          </w:r>
        </w:p>

        <xsl:for-each select="logica.reportes.ReporteAsistenciaYNotas/asistencia/Asistencia">
          <w:p>
            <w:r>
              <w:t>

                <xsl:value-of select="dia"/>:

                <xsl:choose>

                  <xsl:when test="asistio = 'true'">Presente</xsl:when>

                  <xsl:otherwise>No presente</xsl:otherwise>
                </xsl:choose>
              </w:t>
            </w:r>
          </w:p>
        </xsl:for-each>

        <xsl:for-each select="logica.reportes.ReporteAsistenciaYNotas/notas/entry">
          <w:p>
            <w:r>
              <w:t>
                <xsl:value-of select="Asignatura/nombre"/>
              </w:t>
            </w:r>
          </w:p>

          <xsl:for-each select="list/Nota">
            <w:p>
              <w:r>
                <w:t>
                  <xsl:value-of select="valor"/>
                </w:t>
              </w:r>
            </w:p>
          </xsl:for-each>
        </xsl:for-each>
      </w:body>
    </w:wordDocument>
  </xsl:template>
</xsl:stylesheet>
